## php-async-aws-core 1.13.0

=== Makefile ===
.EXPORT_ALL_VARIABLES:

initialize: start-docker
start-docker:
	docker start async_aws_localstack && exit 0 || \
	docker start async_aws_localstack-sts && exit 0 || \
	docker pull localstack/localstack && \
	docker run -d -p 4566:4566 -e SERVICES=sts -v /var/run/docker.sock:/var/run/docker.sock --name async_aws_localstack-sts localstack/localstack && \
	docker run --rm --link async_aws_localstack-sts:localstack martin/wait -c localstack:4566

test: initialize
	./vendor/bin/simple-phpunit

clean: stop-docker
stop-docker:
	docker stop async_aws_localstack-sts || true

## php-async-aws-core 1.10.0

=== debian/changelog ===
php-async-aws-core (1.10.0-1) experimental; urgency=medium

  [ Jérémy Derussé ]
  * Allow Symfony 6 (#1014)

  [ Tobias Nyholm ]
  * [Core] Prepare release 1.10.0 (#1017)

 -- David Prévot <taffit@debian.org>  Sun, 23 May 2021 11:26:50 -0400

php-async-aws-core (1.9.2-1) experimental; urgency=medium

  [ Alexander M. Turek ]
  * Indicate compatibility with psr/cache 2 and 3 (#963)

  [ Vladislav Vlastovskiy ]
  * Fix forming signature with multiple space (#981)

  [ Tobias Nyholm ]
  * [Core] Release 1.9.2 (#987)

  [ David Prévot ]
  * Generate phpabtpl at build time

 -- David Prévot <taffit@debian.org>  Wed, 21 Apr 2021 14:07:49 -0400

php-async-aws-core (1.9.1-1) experimental; urgency=medium

  [ Tobias Nyholm ]
  * [Core][Mock] Make sure we signal that $bodyDownloaded=true (#958)
  * [Core] Release 1.9.1 (#959)

  [ David Prévot ]
  * Use dh-sequence-phpcomposer instead of pkg-php-tools

 -- David Prévot <taffit@debian.org>  Wed, 24 Feb 2021 10:16:51 -0400

php-async-aws-core (1.9.0-1) experimental; urgency=medium

  [ Jérémy Derussé ]
  * Generate Exceptions (#921)
  * Prepare next release (#946)

  [ David Prévot ]
  * Exclude tests needing network

 -- David Prévot <taffit@debian.org>  Thu, 04 Feb 2021 19:04:14 -0400

php-async-aws-core (1.8.0-1) experimental; urgency=medium

  * Upload to experimental due to php-symfony-deprecation-contracts dependency

  [ Tobias Nyholm ]
  * [S3] Release 1.7.0 (#916)

  [ David Prévot ]
  * Simplify gbp import-orig workflow

 -- David Prévot <taffit@debian.org>  Sun, 31 Jan 2021 10:10:03 -0400

php-async-aws-core (1.7.2-1) unstable; urgency=medium

  * Initial release (php-async-aws-sqs dependency)

 -- David Prévot <taffit@debian.org>  Wed, 06 Jan 2021 21:56:47 -0400

=== debian/control ===
Source: php-async-aws-core
Section: php
Priority: optional
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: David Prévot <taffit@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-phpcomposer,
               php-psr-cache,
               php-psr-log,
               php-symfony-deprecation-contracts,
               php-symfony-http-client,
               php-symfony-http-client-contracts,
               php-symfony-service-contracts,
               phpab,
               phpunit,
               pkg-php-tools (>= 1.41~)
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/php-team/pear/php-async-aws-core.git -b debian/latest
Vcs-Browser: https://salsa.debian.org/php-team/pear/php-async-aws-core
Homepage: https://async-aws.com/
Rules-Requires-Root: no

Package: php-async-aws-core
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Description: AsyncAws Core - AsyncAws component
 ${phpcomposer:description}.
 .
 Shared classes between all AWS services, and STS client to handle
 authentication.
 .
 AsyncAws is a wrapper around Symfony's HTTP client and makes sure
 the asynchronous features are properly used. AsyncAws also handles
 authentication, exceptions and provide input and result objects.

## php-async-aws-core 1.13.0

=== debian/changelog ===
php-async-aws-core (1.13.0-1) unstable; urgency=medium

  [ Jordi Hendrix ]
  * Implement AppSync (#1102)

  [ Graham Campbell ]
  * Added x-ray client (#1122)

  [ Jérémy Derussé ]
  * Prepare releases (#1140)

  [ David Prévot ]
  * Drop now useless d/pkg-php-tools-overrides

 -- David Prévot <taffit@debian.org>  Tue, 21 Dec 2021 14:09:06 -0400

php-async-aws-core (1.12.0-2) unstable; urgency=medium

  * Upload to unstable in sync with Symfony 5 (Closes: #995908)

 -- David Prévot <taffit@debian.org>  Fri, 19 Nov 2021 18:04:25 -0400

php-async-aws-core (1.12.0-1) experimental; urgency=medium

  [ Nicolas Grekas ]
  * Allow symfony/contracts v3 (#1043)
  * Fix compat with http-client-contracts v3 (#1044)
  * Allow psr/log v2 & 3 (#1105)

  [ David Prévot ]
  * Drop autoloaders override for php-symfony-deprecation-contracts
  * Update standards version to 4.6.0, no changes needed.

 -- David Prévot <taffit@debian.org>  Mon, 11 Oct 2021 23:17:48 -0400

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                phpab,
                phpunit,
                pkg-php-tools (>= 1.41~)
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-async-aws-core.git -b debian/latest
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-async-aws-core
 Homepage: https://async-aws.com/

=== debian/tests/control ===
Restrictions: rw-build-tree, allow-stderr
Depends: phpab, phpunit, pkg-php-tools (>= 1.41~), @
Test-Command: mkdir -p vendor && phpabtpl --require async-aws/core > debian/autoload.tests.php.tpl && phpab -o vendor/autoload.php -t debian/autoload.tests.php.tpl tests && phpunit --exclude-group network -v

## php-async-aws-core 1.17.0

=== debian/changelog ===
php-async-aws-core (1.17.0-1) unstable; urgency=medium

  [ Timothée Barray ]
  * Create new IotData client (#1278)

 -- David Prévot <taffit@debian.org>  Fri, 05 Aug 2022 08:18:35 +0200

php-async-aws-core (1.16.0-1) unstable; urgency=medium

  [ Jérémy Derussé ]
  * Add support for endpoint discovery in core (#1247)

  [ Timothée Barray ]
  * feat: Add Iot client (#1267)

 -- David Prévot <taffit@debian.org>  Mon, 04 Jul 2022 08:03:44 +0200

php-async-aws-core (1.15.0-1) unstable; urgency=medium

  [ Jérémy Derussé ]
  * prepare next release (#1248)

  [ David Prévot ]
  * Update Standards-Version to 4.6.1

 -- David Prévot <taffit@debian.org>  Sat, 18 Jun 2022 16:25:46 +0200

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
                phpab,
                phpunit,
                pkg-php-tools (>= 1.41~)
-Standards-Version: 4.6.0
-Vcs-Git: https://salsa.debian.org/php-team/pear/php-async-aws-core.git -b debian/latest
+Standards-Version: 4.6.1
+Vcs-Git: https://salsa.debian.org/php-team/pear/php-async-aws-core.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-async-aws-core
 Homepage: https://async-aws.com/
 Rules-Requires-Root: no

## php-async-aws-core 1.18.0

=== debian/changelog ===
php-async-aws-core (1.18.0-1) unstable; urgency=medium

  [ Graham Campbell ]
  * Add support for eventbridge scheduler (#1328)

 -- David Prévot <taffit@debian.org>  Sun, 04 Dec 2022 10:00:27 +0100

## php-async-aws-core 1.18.1

=== Makefile ===
.EXPORT_ALL_VARIABLES:

initialize: start-docker
start-docker:
	docker start async_aws_localstack && exit 0 || \
	docker start async_aws_localstack-sts && exit 0 || \
	docker pull localstack/localstack:0.14.2 && \
	docker run -d -p 4566:4566 -e SERVICES=sts -v /var/run/docker.sock:/var/run/docker.sock --name async_aws_localstack-sts localstack/localstack:0.14.2 && \
	docker run --rm --link async_aws_localstack-sts:localstack martin/wait -c localstack:4566

test: initialize
	./vendor/bin/simple-phpunit

clean: stop-docker
stop-docker:
	docker stop async_aws_localstack-sts || true

=== debian/changelog ===
php-async-aws-core (1.18.1-1) unstable; urgency=medium

  [ Nicolas Grekas ]
  * Add return type to ResetInterface implementations (#1371)

  [ David Prévot ]
  * Update standards version to 4.6.2, no changes needed.

 -- David Prévot <taffit@debian.org>  Tue, 28 Feb 2023 19:06:50 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                phpab,
                phpunit,
                pkg-php-tools (>= 1.41~)
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-async-aws-core.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-async-aws-core
 Homepage: https://async-aws.com/

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	phpabtpl composer.json > debian/autoload.php.tpl
	phpab \
		--output src/autoload.php \
		--template debian/autoload.php.tpl \
		src
	mkdir --parents vendor AsyncAws
	ln -s ../src AsyncAws/Core
	phpabtpl \
		--require async-aws/core \
		> debian/autoload.tests.php.tpl
	phpab \
		--output vendor/autoload.php \
		--template debian/autoload.tests.php.tpl \
		tests

override_dh_auto_test:
	phpunit --exclude-group network -v

## php-async-aws-core 1.20.0

=== debian/changelog ===
php-async-aws-core (1.20.0-1) unstable; urgency=medium

  [ Christophe Coevoet ]
  * Avoid overriding the exception message with the raw message (#1516)

  [ Jérémy Derussé ]
  * prepare next release (#1536)

 -- David Prévot <taffit@debian.org>  Fri, 11 Aug 2023 08:12:18 +0200

php-async-aws-core (1.19.0-1) unstable; urgency=medium

  [ Jérémy Derussé ]
  * Add missing request information in discovered endpoint (#1415)
  * Prepare next releases (#1435)

  [ David Badura ]
  * implement IMDSv2 (#1380)

  [ Karamokoba (Benh) D ]
  * async_aws (Athena Client): create aws Athena Client with some operations
    (#1388)

  [ Christophe Coevoet ]
  * Add support for generating code for discovered endpoint using the URI
    (#1425)
  * Add the MediaConvert client (#1417)

  [ Nicolas Grekas ]
  * Allow Symfony 7 (#1409)

  [ Graham Campbell ]
  * Fixed broken query string encoding (#1372)

 -- David Prévot <taffit@debian.org>  Sat, 24 Jun 2023 07:32:45 +0200

## php-async-aws-core 1.21.0

=== debian/changelog ===
php-async-aws-core (1.21.0-1) unstable; urgency=medium

  [ Jérémy Derussé ]
  * prepare next release (#1674)

  [ Matteo Kovačić ]
  * Add endpoint URL env variable to fallback options (#1666)

  [ David Prévot ]
  * Force system dependencies loading

 -- David Prévot <taffit@debian.org>  Wed, 28 Feb 2024 22:56:49 +0100

php-async-aws-core (1.20.1-1) unstable; urgency=medium

  [ Jérémy Derussé ]
  * Treat empty env variables has undefined (#1586)

  [ Christophe Coevoet ]
  * Allow passing explicit null values for optional input members (#1542)

  [ David Prévot ]
  * Drop incompatible option with PHPUnit 10

 -- David Prévot <taffit@debian.org>  Thu, 14 Dec 2023 08:53:37 +0100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	phpab \
		--output src/autoload.php \
		--template debian/autoload.php.tpl \
		src
	mkdir --parents vendor AsyncAws
	cp -r src AsyncAws/Core
	ln -s /usr/share/php/Psr
	ln -s /usr/share/php/Symfony
	phpabtpl \
		--require async-aws/core \
		> debian/autoload.tests.php.tpl
	phpab \
		--output vendor/autoload.php \
		--template debian/autoload.tests.php.tpl \
		tests

override_dh_auto_test:
	phpunit --exclude-group network

=== debian/tests/control ===
Restrictions: rw-build-tree, allow-stderr
Depends: phpab, phpunit, pkg-php-tools (>= 1.41~), @
Test-Command: mkdir -p vendor && phpabtpl --require async-aws/core > debian/autoload.tests.php.tpl && phpab -o vendor/autoload.php -t debian/autoload.tests.php.tpl tests && phpunit --exclude-group network

## php-async-aws-core 1.22.0

=== debian/changelog ===
php-async-aws-core (1.22.0-2) unstable; urgency=medium

  * Use --require-file for phpabtl (Closes: #1074184)

 -- David Prévot <taffit@debian.org>  Sun, 07 Jul 2024 07:31:29 +0200

php-async-aws-core (1.22.0-1) unstable; urgency=medium

  [ Jérémy Derussé ]
  * Fix exception not created from HEAD requests (#1724)
  * Prepare next release (#1733)

 -- David Prévot <taffit@debian.org>  Sat, 06 Jul 2024 13:15:12 +0200

php-async-aws-core (1.21.0-2) unstable; urgency=medium

  * Make provider functions static (PHPUnit 11 Fix) (Closes: #1070518)
  * Update Standards-Version to 4.7.0
  * Drop version from build-dependencies

 -- David Prévot <taffit@debian.org>  Sun, 19 May 2024 12:01:22 +0200

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,8 @@
                php-symfony-http-client-contracts,
                php-symfony-service-contracts,
                phpab,
-               phpunit,
-               pkg-php-tools (>= 1.41~)
-Standards-Version: 4.6.2
+               phpunit
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-async-aws-core.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-async-aws-core
 Homepage: https://async-aws.com/

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	ln -s /usr/share/php/Psr
 	ln -s /usr/share/php/Symfony
 	phpabtpl \
-		--require async-aws/core \
+		--require-file ../AsyncAws/Core/autoload.php \
 		> debian/autoload.tests.php.tpl
 	phpab \
 		--output vendor/autoload.php \

## php-async-aws-core 1.22.1

=== debian/changelog ===
php-async-aws-core (1.22.1-1) unstable; urgency=medium

  [ Jérémy Derussé ]
  * Remove calls to spl_object_hash functions  (#1763)
  * prepare next release (#1778)

  [ Alex Williams ]
  * Add simple mocked response object to httpResponse property on
    ResultMockFactory (#1776)

  [ David Prévot ]
  * Revert "Force system dependencies loading"
  * Drop now useless symlink for build

 -- David Prévot <taffit@debian.org>  Fri, 11 Oct 2024 09:09:27 +0100

## php-async-aws-core 1.23.0

=== debian/changelog ===
php-async-aws-core (1.23.0-1) unstable; urgency=medium

  [ Kevin Rudde ]
  * Add support for EKS Pod Identity (#1781)

  [ Jérémy Derussé ]
  * Add strict comparison `null !==` instead of `!` (#1794)
  * prepare next release

 -- David Prévot <taffit@debian.org>  Thu, 26 Dec 2024 10:02:31 +0100

## php-async-aws-core 1.24.1

=== debian/changelog ===
php-async-aws-core (1.24.1-2) unstable; urgency=medium

  * Compatibility with recent PHPUnit (12)

 -- David Prévot <taffit@debian.org>  Wed, 12 Feb 2025 22:06:10 +0100

php-async-aws-core (1.24.1-1) unstable; urgency=medium

  [ Jérémy Derussé ]
  * Add support for php 8.5 (#1808)
  * Add Sso Oidc Client (#1829)
  * Add support for SSO authentication (#1831)
  * prepare next release

 -- David Prévot <taffit@debian.org>  Sun, 19 Jan 2025 09:45:37 +0100

## php-async-aws-core 1.25.0

=== debian/changelog ===
php-async-aws-core (1.25.0-1) unstable; urgency=medium

  [ victor-upmeet ]
  * Create BedrockRuntime client with InvokeModel operation (#1849)

  [ Jérémy Derussé ]
  * Prepare release

  [ David Prévot ]
  * Update Standards-Version to 4.7.2

 -- David Prévot <taffit@debian.org>  Sat, 08 Mar 2025 16:30:10 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                php-symfony-service-contracts,
                phpab,
                phpunit
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-async-aws-core.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-async-aws-core
 Homepage: https://async-aws.com/

=== debian/tests/control ===
Restrictions: rw-build-tree, allow-stderr
Depends: phpab, phpunit, pkg-php-tools, @
Test-Command: mkdir -p vendor && phpabtpl --require async-aws/core > debian/autoload.tests.php.tpl && phpab -o vendor/autoload.php -t debian/autoload.tests.php.tpl tests && phpunit --exclude-group network

## php-async-aws-core 1.26.0

=== debian/changelog ===
php-async-aws-core (1.26.0-1) experimental; urgency=medium

  * Upload to experimental during the freeze

  [ Jérémy Derussé ]
  * Sort exceptions alphabetically (#1875)
  * Prepeare release

  [ Christophe Coevoet ]
  * Normalize the case of the SimpleXML requirement (#1881)

 -- David Prévot <taffit@debian.org>  Mon, 12 May 2025 18:42:07 +0200

## php-async-aws-core 1.27.0

=== debian/changelog ===
php-async-aws-core (1.27.0-2) unstable; urgency=medium

  * Fix warning with recent PHPUnit
  * Remove Rules-Requires-Root

 -- David Prévot <taffit@debian.org>  Sun, 24 Aug 2025 10:44:50 +0200

php-async-aws-core (1.27.0-1) unstable; urgency=medium

  * Upload to unstable now that trixie has been released

  [ Nicolas Grekas ]
  * Allow Symfony 8 (#1929)

  [ Christian Flothmann ]
  * do not call setAccessible() on PHP 8.1+ (#1931)

  [ Jérémy Derussé ]
  * prepare next release (#1932)

 -- David Prévot <taffit@debian.org>  Tue, 12 Aug 2025 11:57:45 +0200

## php-async-aws-core 1.27.1

=== Makefile ===
.EXPORT_ALL_VARIABLES:

initialize: start-docker
start-docker:
	docker start async_aws_localstack && exit 0 || \
	docker start async_aws_localstack-sts && exit 0 || \
	docker pull localstack/localstack:3.0.0 && \
	docker run -d -p 4566:4566 -e SERVICES=sts -v /var/run/docker.sock:/var/run/docker.sock --name async_aws_localstack-sts localstack/localstack:3.0.0 && \
	docker run --rm --link async_aws_localstack-sts:localstack martin/wait -c localstack:4566

test: initialize
	./vendor/bin/simple-phpunit

clean: stop-docker
stop-docker:
	docker stop async_aws_localstack-sts || true
	docker rm async_aws_localstack-sts || true

=== debian/changelog ===
php-async-aws-core (1.27.1-1) unstable; urgency=medium

  [ DmytroVyshnevsky1 ]
  * fix query params sorting to build correct canonical query string (#1938)

  [ Jérémy Derussé ]
  * prepare next release

 -- David Prévot <taffit@debian.org>  Tue, 09 Sep 2025 07:52:40 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,6 @@
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-async-aws-core.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-async-aws-core
 Homepage: https://async-aws.com/
-Rules-Requires-Root: no
 
 Package: php-async-aws-core
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	phpabtpl composer.json > debian/autoload.php.tpl
	phpab \
		--output src/autoload.php \
		--template debian/autoload.php.tpl \
		src
	mkdir --parents vendor
	phpabtpl \
		--require-file ../src/autoload.php \
		> debian/autoload.tests.php.tpl
	phpab \
		--output vendor/autoload.php \
		--template debian/autoload.tests.php.tpl \
		tests

override_dh_auto_test:
	phpunit --exclude-group network

=== debian/tests/control ===
Restrictions: allow-stderr, rw-build-tree
Depends: phpab, phpunit, pkg-php-tools, @
Test-Command: mkdir -p vendor && phpabtpl --require async-aws/core > debian/autoload.tests.php.tpl && phpab -o vendor/autoload.php -t debian/autoload.tests.php.tpl tests && phpunit --exclude-group network

=== debian/watch ===
version=4
options=uversionmangle=s/-?([^\d.]+)/~$1/;tr/A-Z/a-z/,\
mode=git,gitmode=full,gitexport=all \
https://github.com/async-aws/core \
refs/tags/v?(\d.+)

## php-async-aws-core 1.28.0

=== debian/changelog ===
php-async-aws-core (1.28.0-1) unstable; urgency=medium

  [ Jérémy Derussé ]
  * Stop using HttpResponse::stream method (#1947)
  * Add support for Lists in querystring (#2018)
  * prepare next release

  [ Christophe Coevoet ]
  * Fix deprecation for null array offset on PHP 8.5 (#1960)
  * Drop support for PHP lower than 8.2 (#1967)
  * Migrate the testsuite to PHPUnit 11 (#1977)
  * Use a more stable sorting for the region metadata (#2014)

  [ Menno Holtkamp ]
  * add CloudWatchLogsClient::describeLogGroups() (#1914)

  [ Jonathan Finch ]
  * Force 'now' to be in UTC for signing requests (#1975)

  [ Orban Florin ]
  * Add BedrockAgent client (#1990)

  [ asrar ]
  * feat: S3 Vectors pkg (#2017)

  [ David Prévot ]
  * Convert d/watch to version 5
  * Use php-symfony-phpunit-bridge and php-symfony-error-handler for tests
  * Update Standards-Version to 4.7.3

 -- David Prévot <taffit@debian.org>  Sat, 17 Jan 2026 09:04:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: php-async-aws-core
 Section: php
-Priority: optional
 Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: David Prévot <taffit@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-phpcomposer,
-               php-psr-cache,
-               php-psr-log,
+               php-psr-cache <!nocheck>,
+               php-psr-log <!nocheck>,
                php-symfony-deprecation-contracts,
+               php-symfony-error-handler <!nocheck>,
                php-symfony-http-client,
                php-symfony-http-client-contracts,
+               php-symfony-phpunit-bridge <!nocheck>,
                php-symfony-service-contracts,
                phpab,
                phpunit
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-async-aws-core.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-async-aws-core
 Homepage: https://async-aws.com/

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,8 @@
 		src
 	mkdir --parents vendor
 	phpabtpl \
+		--require symfony/error-handler \
+		--require symfony/phpunit-bridge \
 		--require-file ../src/autoload.php \
 		> debian/autoload.tests.php.tpl
 	phpab \

=== debian/tests/control ===
Restrictions: allow-stderr, rw-build-tree
Depends: php-symfony-error-handler,
         php-symfony-phpunit-bridge,
         phpab,
         phpunit,
         pkg-php-tools,
         @
Test-Command: mkdir -p vendor && phpabtpl --require symfony/error-handler --require symfony/phpunit-bridge --require async-aws/core > debian/autoload.tests.php.tpl && phpab -o vendor/autoload.php -t debian/autoload.tests.php.tpl tests && phpunit --exclude-group network

## php-async-aws-core 1.28.1

=== Makefile ===
.EXPORT_ALL_VARIABLES:

initialize: start-docker
start-docker: start-docker-s3 start-docker-localstack
start-docker-localstack:
	docker start async_aws_localstack && exit 0 || \
	docker start async_aws_localstack-sts && exit 0 || \
	docker pull localstack/localstack:3.0.0 && \
	docker run -d -p 4566:4566 -e SERVICES=sts -v /var/run/docker.sock:/var/run/docker.sock --name async_aws_localstack-sts localstack/localstack:3.0.0 && \
	docker run --rm --link async_aws_localstack-sts:localstack martin/wait -c localstack:4566
start-docker-s3:
	docker pull asyncaws/testing-s3
	docker start async_aws_s3 && exit 0 || \
	docker run -d -p 4569:4569 -p 4570:4569 --name async_aws_s3 asyncaws/testing-s3

test: initialize
	./vendor/bin/phpunit

clean: stop-docker
stop-docker:
	docker stop async_aws_localstack-sts || true
	docker rm async_aws_localstack-sts || true

=== debian/changelog ===
php-async-aws-core (1.28.1-1) unstable; urgency=medium

  [ Jérémy Derussé ]
  * Remove unecesary ext-json dependency (#2031)
  * Make presign siagnatures similar to official SDK (#2037)
  * prepare next release

 -- David Prévot <taffit@debian.org>  Mon, 16 Feb 2026 21:39:18 +0100

=== debian/watch ===
Version: 5

Source: https://github.com/async-aws/core
Matching-Pattern: refs/tags/v?(\d.+)
Gitexport: all
Gitmode: full
Mode: git
Uversionmangle: s/-?([^\d.]+)/~$1/;tr/A-Z/a-z/
